local DefsNoBuffDebuffFilterOnTarget=CreateFrame("Frame")
local DefsNoBuffDebuffFilterOnTargetEventHandlers={}

local function DefsNoBuffDebuffFilterOnTarget_event_Handler(self,event,...)
	return DefsNoBuffDebuffFilterOnTargetEventHandlers[event](...)
end

function DefsNoBuffDebuffFilterOnTargetEventHandlers.PLAYER_LOGOUT()
	SetCVar("noBuffDebuffFilterOnTarget","0")
end

function DefsNoBuffDebuffFilterOnTargetEventHandlers.PLAYER_REGEN_ENABLED()
	DefsNoBuffDebuffFilterOnTarget:UnregisterEvent("PLAYER_REGEN_ENABLED")
	SetCVar("noBuffDebuffFilterOnTarget","1")
end

function DefsNoBuffDebuffFilterOnTargetEventHandlers.SPELLS_CHANGED()
	DefsNoBuffDebuffFilterOnTarget:UnregisterEvent("SPELLS_CHANGED")
	if InCombatLockdown() then
		DefsNoBuffDebuffFilterOnTarget:RegisterEvent("PLAYER_REGEN_ENABLED")
	else
		SetCVar("noBuffDebuffFilterOnTarget","1")
	end
end

DefsNoBuffDebuffFilterOnTarget:RegisterEvent("PLAYER_LOGOUT")
DefsNoBuffDebuffFilterOnTarget:RegisterEvent("SPELLS_CHANGED")
DefsNoBuffDebuffFilterOnTarget:SetScript("OnEvent",DefsNoBuffDebuffFilterOnTarget_event_Handler)

